import { useQuery } from '@tanstack/react-query';
import { useTRPC } from '../trpc';

export function useHello() {
	const trpc = useTRPC();
	// trpc.user.getUser.queryOptions();
	const getUser = useQuery(trpc.user.getUser.queryOptions());
	console.log(getUser);
	// useQuery;
	return {
		getUser: getUser,
		// hello: api.hello,
	};
}
